> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-4-1/cybus-helm-charts/connectware-agent-helm-chart/container-image-parameters.md).

# Configuring Container Image Parameters for the connectware-agent Helm Chart

By default, agents deployed with the `connectware-agent` Helm chart use the official protocol-mapper image in a version that is coupled with the Helm chart version.

To find which image version is bundled with a given chart version, query the chart metadata. Replace `${VERSION}` with the target Helm chart version:

{% code lineNumbers="true" %}

```bash
helm show chart oci://repo.cybus.io/charts/connectware-agent --version ${VERSION} | grep appVersion
```

{% endcode %}

For compatible version ranges, see the [Compatibility Matrix](/2-4-1/cybus-helm-charts/compatibility-matrix.md#connectware-agent-helm-chart).

## Changing the Agent Image Version

To use a specific image version, set the `image.tag` parameter in your `values.yaml` file:

{% code title="values.yaml" lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
  image:
    tag: 2.1.0
```

{% endcode %}

Replace `2.1.0` with the desired image tag.

To override this setting for specific agents, set the same parameter inside the agents section in `protocolMapperAgents`, as described in [Configuration Principles for the connectware-agent Helm Chart](/2-4-1/cybus-helm-charts/connectware-agent-helm-chart.md#configuration-principles-for-the-connectware-agent-helm-chart).

## Changing the Agent Image Name

If you are using a custom protocol-mapper image instead of the official default, set the `image.name` parameter in your `values.yaml` file:

{% code title="values.yaml" lineNumbers="true" %}

```yaml
protocolMapperAgentDefaults:
  image:
    name: ${IMAGE_NAME}
```

{% endcode %}

Replace `${IMAGE_NAME}` with the name of your custom image. This parameter only sets the image name, not the registry. If your custom image is hosted on a different registry, you also need to configure `image.registry`. See [Using a Custom Registry](/2-4-1/cybus-helm-charts/working-with-cybus-helm-charts/registries-and-pull-secrets.md#using-a-custom-registry) for details.

To override this setting for specific agents, set the same parameter inside the agents section in `protocolMapperAgents`, as described in [Configuration Principles for the connectware-agent Helm Chart](/2-4-1/cybus-helm-charts/connectware-agent-helm-chart.md#configuration-principles-for-the-connectware-agent-helm-chart).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/2-4-1/cybus-helm-charts/connectware-agent-helm-chart/container-image-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
